Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun Advantech WebAccess Node-n

Argitalpen data: 2020/05/08

Garrantzia: Kritikoa 

Kaltetutako baliabideak: 

WebAccess Node, honako bertsioak:

  • 8.4.4 eta lehenagokoak,
  • 9.0.0.

Azalpena: 

Natnael Samson eta Z0mb1E ikertzaileek, Trend Micro-ko ZDIrekin lankidetzan, 8 ahultasunen berri eman diote CISAri, 3 larritasun kritikokoak, 3 altukoak eta 2 ertainekoak. Honako era hauetakoak dira: array baten aurkibidearen baliozkotze desegokia, bideetara kontrolatu gabeko sarbide erlatiboa (relative path traversal), SQL injekzioa, pilan (stack) oinarritutako bufferraren gainezkatzea, memoria dinamikoan (heap) bufferraren gainezkatzea, eta mugez kanpoko irakurketa.

Konponbidea: 

8.4.4.P0320844 edo 9.0.0.P0320900 bertsioetara eguneratzea ahultasun horiek konpontzeko.

Xehetasuna: .

  • Baliozkotze oker erako ahultasun bat baliatuz, erasotzaile batek bereziki diseinatutako informazioa injekta lezake memorian,  eta ondoren bertan exekutatu liteke.  Ahultasun horretarako CVE-2020-12022 identifikatzailea erreserbatu da.
  • Relative path traversal erako hainbat ahultasun baliatuz, autentifikatutako edo pribilegio maila baxuko erabiltzaile batek bereziki diseinatutako fitxategi bat erabil lezake fitxategiak ezabatu edo gainidazteko, aplikazioaren kontroletik kanpo. Ahultasun horietarako CVE-2020-12010 eta CVE-2020-12006 identifikatzaileak erreserbatu dira.
  • Sarrera ez dago ondo sanitizatuta, eta erasotzaile batek SQL komandoak injektatzea baimen dezake. Ahultasun horretarako CVE-2020-12014 identifikatzailea erreserbatu da.
  • Pilan (stack) nahiz memoria dinamikoan (heap) oinarritutako bufferraren gainezkatze erako hainbat ahultasun daude, erabiltzaileak emandako datuen luzeraren baliozkotze egoki baten faltak eraginda. Hori baliatuz urruneko kodea exekuta liteke. Ahultasun horietarako CVE-2020-12002 eta CVE-2020-10638 identifikatzaileak erreserbatu dira.
  • Mugez kanpoko irakurketa erako ahultasun bat baliatuz, baimendu gabeko datuetara sarbidea eskura liteke. Ahultasun horretarako CVE-2020-12018 identifikatzailea erreserbatu da.

Etiketak: Eguneraketa, Azpiegitura kritikoak, Ahultasuna